import { ApiVisa, BaseApiTemplateService, BasicApiResponseModel } from "../../shared";
import { HttpClient } from "@angular/common/http";
export declare class AlgAuthenticationService extends BaseApiTemplateService<any> {
    constructor(http: HttpClient);
    getAiLedgerToken(visa: ApiVisa): import("rxjs").Observable<BasicApiResponseModel<any>>;
}
